rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
tarHeader_s Struct Reference
PAYLOAD.

Tar archive header information. More...

`#include <rpmio/tar.h>`

## Data Fields

char | name [100]
char | mode [8]
char | uid [8]
char | gid [8]
char | filesize [12]
char | mtime [12]
char | checksum [8]
char | typeflag
char | linkname [100]
char | magic [6]
char | version [2]
char | uname [32]
char | gname [32]
char | devMajor [8]
char | devMinor [8]
char | prefix [155]
char | padding [12]

## Detailed Description

Tar archive header information.

Definition at line 27 of file tar.h.

## Field Documentation

char tarHeader_s::checksum[8]

Definition at line 34 of file tar.h.

Referenced by tarHeaderRead(), and tarHeaderWriteBlock().

char tarHeader_s::devMajor[8]

Definition at line 41 of file tar.h.

Referenced by tarHeaderRead(), and tarHeaderWrite().

char tarHeader_s::devMinor[8]

Definition at line 42 of file tar.h.

Referenced by tarHeaderRead(), and tarHeaderWrite().

char tarHeader_s::filesize[12]

Definition at line 32 of file tar.h.

Referenced by tarHeaderRead(), and tarHeaderWrite().

char tarHeader_s::gid[8]

Definition at line 31 of file tar.h.

Referenced by tarHeaderRead(), and tarHeaderWrite().

char tarHeader_s::gname[32]

Definition at line 40 of file tar.h.

Referenced by tarHeaderWrite().

char tarHeader_s::linkname[100]

Definition at line 36 of file tar.h.

Referenced by tarHeaderRead(), and tarHeaderWrite().

char tarHeader_s::magic[6]

Definition at line 37 of file tar.h.

Referenced by tarHeaderRead(), and tarHeaderWriteBlock().

char tarHeader_s::mode[8]

Definition at line 29 of file tar.h.

Referenced by tarHeaderRead(), and tarHeaderWrite().

char tarHeader_s::mtime[12]

Definition at line 33 of file tar.h.

Referenced by tarHeaderRead(), and tarHeaderWrite().

char tarHeader_s::name[100]

Definition at line 28 of file tar.h.

Referenced by tarHeaderRead(), and tarHeaderWrite().

char tarHeader_s::padding[12]

Definition at line 44 of file tar.h.

char tarHeader_s::prefix[155]

Definition at line 43 of file tar.h.

char tarHeader_s::typeflag

Definition at line 35 of file tar.h.

Referenced by tarHeaderRead(), tarHeaderWrite(), and tarHeaderWriteBlock().

char tarHeader_s::uid[8]

Definition at line 30 of file tar.h.

Referenced by tarHeaderRead(), and tarHeaderWrite().

char tarHeader_s::uname[32]

Definition at line 39 of file tar.h.

Referenced by tarHeaderWrite().

char tarHeader_s::version[2]

Definition at line 38 of file tar.h.

The documentation for this struct was generated from the following file:

- rpmio/tar.h